RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Business.Service.RobotService Class Reference

## Public Member Functions
Robot | get (Long id) throws Exception
List< Robot > | getAll (int year) throws Exception
List< Robot > | getAllConfirmed (int year) throws Exception
void | create (int year, RobotObj robotObj) throws Exception
void | remove (int year, Long id) throws Exception
void | rename (int year, Long id, String name) throws Exception
void | register (Long robotID, Long disciplineID) throws Exception
void | unregister (Long id) throws Exception
void | confirmRegistration (Long id, Boolean confirmed) throws Exception

## Detailed Description

Zajistuje spravu souteznich robotu

## Member Function Documentation

## ◆ confirmRegistration()

void com.robogames.RoboCupMS.Business.Service.RobotService.confirmRegistration | ( | Long | id,
|  | Boolean | confirmed
| ) |  | throws Exception
| inline

Povrdi nebo nepovrdi registraci robota

Parameters

  id | ID robota
  confirmed | Registrace je nebo neni povrzena

## ◆ create()

void com.robogames.RoboCupMS.Business.Service.RobotService.create | ( | int | year,
|  | RobotObj | robotObj
| ) |  | throws Exception
| inline

Vytvori noveho robata. Robot je vytvaren na registraci tymu v urcitem rocniku souteze.

Parameters

  year | Rocnik souteze
  robotObj | Parametry noveho robota

## ◆ get()

Robot com.robogames.RoboCupMS.Business.Service.RobotService.get | ( | Long | id | ) | throws Exception
| inline

Navrati robota s konkretnim ID

Parameters

  id | ID robota

Returns
  Robot

## ◆ getAll()

List<Robot> com.robogames.RoboCupMS.Business.Service.RobotService.getAll | ( | int | year | ) | throws Exception
| inline

Navrati vsechny vytvorene robot pro urcitou registraci tymu

Parameters

  year | Rocnik souteze

Returns
  Seznam vsech robotu

## ◆ getAllConfirmed()

List<Robot> com.robogames.RoboCupMS.Business.Service.RobotService.getAllConfirmed | ( | int | year | ) | throws Exception
| inline

Navrati vsehcny roboty s potvrzenou registraci

Parameters

  year | Rocnik souteze

Returns
  Seznam robotu s potvrzenou registraci

## ◆ register()

void com.robogames.RoboCupMS.Business.Service.RobotService.register | ( | Long | robotID,
|  | Long | disciplineID
| ) |  | throws Exception
| inline

Registuje existujiciho robota do vybrane discipliny

Parameters

  robotID | ID robota, ktereho registrujeme
  disciplineID | ID discipliny, do ktere chceme robota registrovat

## ◆ remove()

void com.robogames.RoboCupMS.Business.Service.RobotService.remove | ( | int | year,
|  | Long | id
| ) |  | throws Exception
| inline

Odstrani robota

Parameters

  year | Rocnik souteze
  id | ID robota

## ◆ rename()

void com.robogames.RoboCupMS.Business.Service.RobotService.rename | ( | int | year,
|  | Long | id,
|  | String | name
| ) |  | throws Exception
| inline

Zmeni jmeno robota

Parameters

  year | Rocnik souteze
  id | ID robota
  name | Nove jmeno robota

## ◆ unregister()

void com.robogames.RoboCupMS.Business.Service.RobotService.unregister | ( | Long | id | ) | throws Exception
| inline

Zrusi registraci existujiciho robota

Parameters

  id | ID robota

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Service/RobotService.java